--- old/usr/src/uts/sparc/Makefile.targ	2013-12-14 21:35:00.248830848 -0500
+++ new/usr/src/uts/sparc/Makefile.targ	2013-12-14 21:35:00.254537622 -0500
@@ -1,3 +1,4 @@
+#
 # CDDL HEADER START
 #
 # The contents of this file are subject to the terms of the
@@ -18,12 +19,26 @@
 #
 # CDDL HEADER END
 #
+#
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+#	This Makefile defines the set of all required, target containing
+# included Makefiles for the sparc architecture.
 #
 
-UTSTREE=$(UTSBASE)
+#
+#	Targets for all implementations:
+#
+include $(UTSBASE)/Makefile.targ
 
-include $(UTSBASE)/sparc/Makefile.targ.shared
+#
+#	Target set for sparc (order is not important, as it is with the
+# isomorphic Makefile.files set).
+#
+include $(UTSBASE)/sparc/Makefile.rules
+include $(UTSBASE)/sparc/v9/Makefile.rules
+include $(UTSBASE)/sun/Makefile.rules
+include $(UTSBASE)/common/Makefile.rules
+include $(UTSBASE)/sun4u/Makefile.rules
+include $(UTSBASE)/sun4/Makefile.rules
